# format

This configuration section contains settings to configure the format of the synchronized test case.

Read more about the test case format options in the [Configuring the format of the synchronized test cases](/specsync/features/push-features/configuring-the-format-of-the-synchronized-test-cases.md) concept description.

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "format": {
      "useExpectedResult": false,
      "emptyActionValue": "N/A"
      "emptyExpectedResultValue": "N/A"
      "syncDataTableAsText": false,
      "prefixBackgroundSteps": true,
      "prefixTitle": true,
      "showParameterListStep": "whenUnusedParameters",
      "normalizeRepeatingStepKeywords": false
    }
  },
  ...
}
```

## Settings

| Setting                          | Description                                                                                                                                                                                           | Default                |
| -------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------- |
| `useExpectedResult`              | If set to `true`, *Then* steps will be synchronized to the *Expected result* field of the test case steps.                                                                                            | `false`                |
| `emptyActionValue`               | Specifies the value to be used synchronizing a Test Case step with an empty action result value. Can only be used with `useExpectedResult`.                                                           | field remains empty    |
| `emptyExpectedResultValue`       | Specifies the value to be used synchronizing a Test Case step with an empty expected result value. Can only be used with `useExpectedResult`.                                                         | field remains empty    |
| `syncDataTableAsText`            | If set to `true`, *Data Tables* will be synchronized as plain text instead of HTML tables.                                                                                                            | `false`                |
| `prefixBackgroundSteps`          | If set to `true`, *Background* steps will be synchronized with the `Background:` prefix.                                                                                                              | `true`                 |
| `prefixTitle`                    | If set to `true`, test case title will be synchronized with the `Scenario:` or `Scenario Outline:` prefix.                                                                                            | `true`                 |
| `showParameterListStep`          | Specifies whether an additional test case step should be synchronized that list the Test Case iteration parameters. Available options: `always`, `never` and `whenUnusedParameters`.                  | `whenUnusedParameters` |
| `normalizeRepeatingStepKeywords` | If set to `true`, repeating step keywords will be normalized to the first step keyword. For example, if a `Given` step is followed by another `Given` step, the second step will be changed to `And`. | `false`                |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
